<?php

namespace Wb4Wp\Managers;

use Wb4Wp\Helpers\EnvironmentHelper;
use Wb4Wp\Helpers\OptionsHelper;

/**
 * The WP Edit manager to manage the calls for WP Edit
 *
 * Class ProviderWb4WpManager
 *
 * @package WB4WP\Managers
 */
final class ProviderWb4WpManager
{
    /**
     * Get Onboarding url
     *
     * @return string
     */
    public static function get_signup_url()
    {
        $redirectUrl = EnvironmentHelper::get_app_gateway_url('wordpress/v1.0/instances/open?clearSession=true&redirectUrl=');
        $onboardingUrl = EnvironmentHelper::get_app_url('wb4wp/signup?wp_site_name=' . rawurlencode(get_bloginfo('name'))
            . '&wp_site_uuid=' . OptionsHelper::get_instance_uuid()
            . '&wp_handshake=' . OptionsHelper::get_handshake_token()
            . '&wp_callback_url=' . rawurlencode(get_bloginfo('wpurl') . '?rest_route=/wb4wp/v1/callback')
            . '&wp_instance_url=' . rawurlencode(get_bloginfo('wpurl'))
            . '&wp_version=' . get_bloginfo('version')
            . '&completed_onboarding=' . (!empty(OptionsHelper::get(WB4WP_ONBOARDING_ID)) ? 'true' : 'false')
            . '&plugin_version=' . env('WB4WP_PLUGIN_VERSION'));

       return $redirectUrl . rawurlencode($onboardingUrl);
    }
}
