<?php
  use Wb4WpTheme\Managers\CustomizeManager;

  // Defaults
  $template_args = [
    'section' => 'header',
    'show_logo' => false,
  ];

  if(!empty($args)) {
    $template_args = array_merge( $template_args, $args );
  }
?>

<div class="wb4wp-brand">
  <?php 
    if ( 
      CustomizeManager::get_setting('wb4wp_'.$template_args['section'].'_section_site_title_setting') || (
        !empty(CustomizeManager::get_setting('wb4wp_logo_section_url_setting')) && CustomizeManager::get_setting('wb4wp_logo_section_show_in_'.$template_args['section'].'_setting')
      )
    ): 
  ?>
    <a href="<?= esc_url(home_url('/')); ?>" aria-label="Home" rel="home">

      <?php if (!empty(CustomizeManager::get_setting('wb4wp_logo_section_url_setting')) && CustomizeManager::get_setting('wb4wp_logo_section_show_in_'.$template_args['section'].'_setting')): ?>
        <div class="wb4wp-image">
          <img src="<?= CustomizeManager::get_setting('wb4wp_logo_section_url_setting'); ?>" alt="<?php bloginfo('name'); ?>">
        </div>
      <?php endif; ?>

      <?php if (CustomizeManager::get_setting('wb4wp_'.$template_args['section'].'_section_site_title_setting')): ?>
        <div class="wb4wp-text">
          <?php bloginfo('name'); ?>
        </div>
      <?php endif; ?>

    </a>
  <?php endif; ?>
</div>