<?php
use Wb4WpTheme\Managers\CustomizeManager;
?>
<footer class="footer-2 wb4wp-footer">
  <div class="wb4wp-container-fluid wb4wp-footer-container">
    <div class="wb4wp-footer-body">
      <div class="wb4wp-content">
        <div class="wb4wp-footer-header">
          
          <?php get_template_part('dist/brand/brand', '' , [ 'section' => 'footer' ]); ?>

          <?php if (CustomizeManager::get_setting( 'wb4wp_footer_section_page_menu_setting')): ?>
          <nav class="wb4wp-footer-nav">
            <?php
              wp_nav_menu([
                'theme_location' => 'wb4wp',
                'container' => false,
                'menu_class' => 'wb4wp-footer-menu-items',
                'depth' => 1
              ]);
            ?>
          </nav>
          <?php endif; ?>
        </div>

        <?php if (CustomizeManager::get_setting( 'wb4wp_footer_section_social_buttons_setting')): ?>
          <div class="wb4wp-footer-social">
            <h3 class="wb4wp-title">
              Follow us
            </h3>
            <?php
              $social_accounts = [
                'facebook' => 'wb4wp_social_accounts_section_facebook_setting',
                'twitter' => 'wb4wp_social_accounts_section_twitter_setting',
                'instagram' => 'wb4wp_social_accounts_section_instagram_setting',
                'linkedin' => 'wb4wp_social_accounts_section_linkedin_setting',
                'pinterest' => 'wb4wp_social_accounts_section_pinterest_setting',
                'youtube' => 'wb4wp_social_accounts_section_youtube_setting',
                'opentable' => 'wb4wp_social_accounts_section_opentable_setting'
              ];
            ?>

            <div class="wb4wp-social">
              <?php 
                foreach ($social_accounts as $account => $setting_name):
                  $account_url = CustomizeManager::get_setting($setting_name);
                  
                  if( !empty($account_url) ):
              ?>
                <a href="<?= $account_url ?>" class="wb4wp-social-icon fa fa-<?= $account ?>" aria-label="Go to our <?= $account ?> page">
                  <?php if($account == 'opentable'):?>
                    <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 535 512" fill="currentColor"><circle cx="48.6" cy="256" r="48.6"/><path d="M340 61a195 195 0 100 390 195 195 0 000-390zm0 244a49 49 0 1149-49 49 49 0 01-49 49z"/></svg>
                  <?php endif; ?>
                </a>
              <?php endif; ?>
              <?php endforeach; ?>
            </div>
          </div>
        <?php endif; ?>

        <div class="wb4wp-colophon">
          <?php if (CustomizeManager::get_setting( 'wb4wp_footer_section_copyright_message_setting')): ?>
            <p class="wb4wp-copyright">
              &copy; <?php bloginfo('name'); ?>
            </p>
          <?php endif; ?>
          <?php if (CustomizeManager::get_setting( 'wb4wp_footer_section_link_to_sitemap_setting')): ?>
          <nav class="wb4wp-footer-nav">
            <ul class="wb4wp-footer-menu-items">
              <li class="menu-item"><a href="/sitemap.xml">sitemap</a></li>
            </ul>
          </nav>
          <?php endif; ?>
        </div>
      </div>
    </div>

    <div class="wb4wp-footer-section-empty"></div>
  </div>
</footer>