<?php
use Wb4WpTheme\Managers\CustomizeManager;
?>
<footer class="footer-4 wb4wp-footer">
  <div class="wb4wp-container">
    <div class="wb4wp-footer-section wb4wp-footer-header">
      <?php get_template_part('dist/brand/brand', '' , [ 'section' => 'footer' ]); ?>

      <?php if (CustomizeManager::get_setting( 'wb4wp_footer_section_page_menu_setting')): ?>
        <nav class="wb4wp-footer-nav">
          <?php
            wp_nav_menu([
              'theme_location' => 'wb4wp',
              'container' => false,
              'menu_class' => 'wb4wp-footer-menu-items',
              'depth' => 1
            ]);
          ?>
        </nav>
      <?php endif; ?>
    </div>

    <div class="wb4wp-footer-section wb4wp-footer-body">
      <?php 
        $has_address =  
          !empty(CustomizeManager::get_setting( 'wb4wp_contact_information_section_street_setting')) ||
          !empty(CustomizeManager::get_setting( 'wb4wp_contact_information_section_zip_code_setting')) ||
          !empty(CustomizeManager::get_setting( 'wb4wp_contact_information_section_city_setting')) ||
          !empty(CustomizeManager::get_setting( 'wb4wp_contact_information_section_state_setting')) ||
          !empty(CustomizeManager::get_setting( 'wb4wp_contact_information_section_country_setting'));

        $has_contact = 
          !empty(CustomizeManager::get_setting( 'wb4wp_contact_information_section_phone_number_setting')) ||
          !empty(CustomizeManager::get_setting( 'wb4wp_contact_information_section_email_setting'));
          
        if ($has_address || $has_contact || !empty(CustomizeManager::get_setting( 'wb4wp_footer_section_description_setting'))): 
      ?>
        <div class="wb4wp-info-block">
          <h3 class="wb4wp-title">
            Address
          </h3>
          <?php if ($has_address): ?>
            <address>
              <p class="wb4wp-copy">
                <?= !empty(CustomizeManager::get_setting( 'wb4wp_contact_information_section_street_setting')) ? CustomizeManager::get_setting( 'wb4wp_contact_information_section_street_setting') : '' ?>, <br>
                <?= !empty(CustomizeManager::get_setting( 'wb4wp_contact_information_section_state_setting')) ? CustomizeManager::get_setting( 'wb4wp_contact_information_section_state_setting') : '' ?>
                <?= !empty(CustomizeManager::get_setting( 'wb4wp_contact_information_section_zip_code_setting')) ? CustomizeManager::get_setting( 'wb4wp_contact_information_section_zip_code_setting') : '' ?> <br>
                <?= !empty(CustomizeManager::get_setting( 'wb4wp_contact_information_section_city_setting')) ? CustomizeManager::get_setting( 'wb4wp_contact_information_section_city_setting') : '' ?>
                <?= !empty(CustomizeManager::get_setting( 'wb4wp_contact_information_section_country_setting')) ? CustomizeManager::get_setting( 'wb4wp_contact_information_section_country_setting') : '' ?>
              </p>
            </address>
          <?php endif; ?>
          
          <?php if ($has_contact): ?>
            <?php if (!empty(CustomizeManager::get_setting( 'wb4wp_contact_information_section_phone_number_setting'))): ?>
              <a class="wb4wp-copy" href="tel:<?= CustomizeManager::get_setting( 'wb4wp_contact_information_section_phone_number_setting') ?>"><?= CustomizeManager::get_setting( 'wb4wp_contact_information_section_phone_number_setting') ?></a>
            <?php endif; ?>

            <?php if (!empty(CustomizeManager::get_setting( 'wb4wp_contact_information_section_email_setting'))): ?>
              <a class="wb4wp-copy" href="mailto:<?= CustomizeManager::get_setting( 'wb4wp_contact_information_section_email_setting') ?>"><?= CustomizeManager::get_setting( 'wb4wp_contact_information_section_email_setting') ?></a>
            <?php endif; ?>
          <?php endif; ?>
        </div>
      <?php endif; ?>
      <?php if (CustomizeManager::get_setting( 'wb4wp_footer_section_description_setting')): ?>
        <div class="wb4wp-info-block">
          <h3 class="wb4wp-title">
            About us
          </h3>
          <p class="wb4wp-copy">
          <?= CustomizeManager::get_setting( 'wb4wp_footer_section_description_setting') ?>
          </p>
        </div>
      <?php endif; ?>
    </div>
  </div>

  <div class="wb4wp-colophon">
    <div class="wb4wp-left">
      <?php if (CustomizeManager::get_setting( 'wb4wp_footer_section_copyright_message_setting')): ?>
        <p class="wb4wp-copyright">
          &copy; <?php bloginfo('name'); ?>
        </p>
      <?php endif; ?>
      <?php if (CustomizeManager::get_setting( 'wb4wp_footer_section_link_to_sitemap_setting')): ?>
        <nav class="wb4wp-footer-nav">
          <ul class="wb4wp-footer-menu-items">
            <li class="menu-item"><a href="/sitemap.xml">sitemap</a></li>
          </ul>
        </nav>
      <?php endif; ?>
    </div>
  

    <?php if (CustomizeManager::get_setting( 'wb4wp_footer_section_social_buttons_setting')): ?>
      <div class="wb4wp-right">
        <p class="wb4wp-follow-us wb4wp-copy">Follow us</p>
        <div class="wb4wp-footer-social">
          <?php
            $social_accounts = [
              'facebook' => 'wb4wp_social_accounts_section_facebook_setting',
              'twitter' => 'wb4wp_social_accounts_section_twitter_setting',
              'instagram' => 'wb4wp_social_accounts_section_instagram_setting',
              'linkedin' => 'wb4wp_social_accounts_section_linkedin_setting',
              'pinterest' => 'wb4wp_social_accounts_section_pinterest_setting',
              'youtube' => 'wb4wp_social_accounts_section_youtube_setting',
              'opentable' => 'wb4wp_social_accounts_section_opentable_setting'
            ];
          ?>
          <?php 
            foreach ($social_accounts as $account => $setting_name):
              $account_url = CustomizeManager::get_setting($setting_name);
              
              if( !empty($account_url) ):
          ?>
            <a href="<?= $account_url ?>" class="wb4wp-social-icon fa fa-<?= $account ?>" aria-label="Go to our <?= $account ?> page">
              <?php if($account == 'opentable'):?>
                <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 535 512" fill="currentColor"><circle cx="48.6" cy="256" r="48.6"/><path d="M340 61a195 195 0 100 390 195 195 0 000-390zm0 244a49 49 0 1149-49 49 49 0 01-49 49z"/></svg>
              <?php endif; ?>
            </a>
          <?php endif; ?>
          <?php endforeach; ?>
        </div>
      </div>
    <?php endif; ?>
  </div>
</footer>