<?php
use Wb4WpTheme\Managers\CustomizeManager;
?>

<nav class="wb4wp-navbar background-id_navigation navigation-1 
  <?= CustomizeManager::get_setting( 'wb4wp_header_section_fixed_navigation_bar_setting') ? 'sticky' : '' ?>
  <?= !CustomizeManager::get_setting( 'wb4wp_header_section_site_title_setting') ? 'no-brand' : '' ?>  
">
  <div class="wb4wp-wrapper">

    <div class="wb4wp-left">
      <?php
        $social_accounts = [
          'facebook' => 'wb4wp_social_accounts_section_facebook_setting',
          'twitter' => 'wb4wp_social_accounts_section_twitter_setting',
          'instagram' => 'wb4wp_social_accounts_section_instagram_setting',
          'linkedin' => 'wb4wp_social_accounts_section_linkedin_setting',
          'pinterest' => 'wb4wp_social_accounts_section_pinterest_setting',
          'youtube' => 'wb4wp_social_accounts_section_youtube_setting',
          'opentable' => 'wb4wp_social_accounts_section_opentable_setting'
        ];
      ?>
      <?php if (CustomizeManager::get_setting('wb4wp_header_section_social_buttons_setting')): ?>
        <div class="wb4wp-social">
          <?php 
            foreach ($social_accounts as $account => $setting_name):
              $account_url = CustomizeManager::get_setting($setting_name);
              
              if( !empty($account_url) ):
          ?>
            <a href="<?= $account_url ?>" class="wb4wp-social-icon fa fa-<?= $account ?>" aria-label="Go to our <?= $account ?> page">
              <?php if($account == 'opentable'):?>
                <svg xmlns="http://www.w3.org/2000/svg" fill="currentColor" viewBox="0 0 535 512"><circle cx="48.6" cy="256" r="48.6"/><path d="M340 61a195 195 0 100 390 195 195 0 000-390zm0 244a49 49 0 1149-49 49 49 0 01-49 49z"/></svg>
              <?php endif; ?>
            </a>
          <?php endif; ?>
          <?php endforeach; ?>
        </div>
        
      <?php endif; ?>
    </div>
    
    <?php get_template_part( 'dist/brand/brand'); ?>

    <div class="wb4wp-right">

      <?php get_template_part( 'dist/call-button/call-button' ); ?>

      <button class="wb4wp-navbar-button wb4wp-menu-button" aria-label="Open Menu"></button>
    </div>
  </div>

  <div class="wb4wp-menu">
    <?php
      wp_nav_menu([
        'theme_location' => 'wb4wp',
        'container' => false,
        'menu_class' => 'wb4wp-menu-items'
      ]);
    ?>

    <?php if (CustomizeManager::get_setting('wb4wp_header_section_social_buttons_setting')): ?>
      <div class="wb4wp-social">
        <?php 
          foreach ($social_accounts as $account => $setting_name):
            $account_url = CustomizeManager::get_setting($setting_name);
            
            if( !empty($account_url) ):
        ?>
          <a href="<?= $account_url ?>" class="wb4wp-social-icon fa fa-<?= $account ?>" aria-label="Go to our <?= $account ?> page">
            <?php if($account == 'opentable'):?>
              <svg xmlns="http://www.w3.org/2000/svg" fill="currentColor" viewBox="0 0 535 512"><circle cx="48.6" cy="256" r="48.6"/><path d="M340 61a195 195 0 100 390 195 195 0 000-390zm0 244a49 49 0 1149-49 49 49 0 01-49 49z"/></svg>
            <?php endif; ?>
          </a>
        <?php endif; ?>
        <?php endforeach; ?>
      </div>
      
    <?php endif; ?>

    <?php get_template_part( 'dist/call-button/call-button' ); ?>
  </div>
</nav>