<?php
use Wb4WpTheme\Managers\CustomizeManager;
use Wb4WpTheme\Managers\ColorManager;
?>

<!doctype html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="https://gmpg.org/xfn/11">
	<title>
	<?php 
		$metadata = get_option( 'wb4wp_metadata', null );
		echo (!empty($metadata) && !empty($metadata['siteName'])) ? $metadata['siteName'] : get_bloginfo('name');
	?>
	</title>
	<style>
		/** CSS Values 2 */
		:root {
			--wb4wp-background: <?= CustomizeManager::get_setting( 'wb4wp_color_section_background_setting') ?>;
			--wb4wp-background-stronger: <?= ColorManager::get_background_color_strong() ?>;
			--wb4wp-background-strongest: <?= ColorManager::get_background_color_stronger() ?>;
			--wb4wp-background-lighter: <?= ColorManager::get_background_color_lighter() ?>;

			--wb4wp-text-color: <?= ColorManager::get_text_color() ?>;
			--wb4wp-text-color-softer: <?= ColorManager::get_text_color_softer() ?>;
			--wb4wp-text-color-20: rgba(33,33,33, .2);
			--wb4wp-text-color-75: rgba(33,33,33, .75);
			--wb4wp-text-color-contrast: rgb(255,255,255);

			--wb4wp-primary-color: <?= ColorManager::get_primary_color() ?>;
			--wb4wp-primary-color-text: <?= ColorManager::get_primary_color_text() ?>;
			--wb4wp-primary-color-light: <?= ColorManager::get_primary_color_light() ?>;
			--wb4wp-primary-color-lighter: <?= ColorManager::get_primary_color_lighter() ?>;
			--wb4wp-primary-color-lightest: <?= ColorManager::get_primary_color_lightest() ?>;
			--wb4wp-primary-color-border: <?= ColorManager::get_primary_color_border() ?>;
			--wb4wp-primary-color-stronger: <?= ColorManager::get_primary_color_stronger() ?>;
			
			--wb4wp-border-color: <?= ColorManager::get_border_color() ?>;

			--wb4wp-font-body: '<?= CustomizeManager::before(':', CustomizeManager::get_setting( 'wb4wp_fonts_section_body_setting' )) ?>';
			--wb4wp-font-body-weight: <?= CustomizeManager::after(':', CustomizeManager::get_setting( 'wb4wp_fonts_section_body_setting' )) ?>;
			--wb4wp-font-heading: '<?= CustomizeManager::before(':', CustomizeManager::get_setting( 'wb4wp_fonts_section_heading_setting' )) ?>';
			--wb4wp-font-heading-weight: <?= CustomizeManager::after(':', CustomizeManager::get_setting( 'wb4wp_fonts_section_heading_setting' )) ?>;
			--wb4wp-font-size-override: <?= ((float)CustomizeManager::get_setting( 'wb4wp_fonts_section_font_size_setting' ) * 100) . "%" ?>;
		}
	</style>

	<link rel='stylesheet' href='https://fonts.googleapis.com/css?display=swap&family=<?= str_replace( ' ', '+', CustomizeManager::get_setting( 'wb4wp_fonts_section_body_setting')) ?>|<?= str_replace(' ', '+', CustomizeManager::get_setting( 'wb4wp_fonts_section_heading_setting')) ?>' />

	<?php wp_head(); ?>
		
	<?php 
		$post = get_post();

		if (!empty($post) && defined(WB4WP_PLUGIN_DIR)) {
				$asset_file = WB4WP_PLUGIN_DIR . '/page-assets/assets_' . $post->ID . '.json';
		
				if (file_exists($asset_file)) {
						$assets = json_decode(file_get_contents($asset_file));
		
						if (!empty($assets)) {
								if (!empty($assets->fonts)) {
										echo "<link rel='stylesheet' href='" . $assets->fonts . "'>";
								}
		
								if (!empty($assets->baseStyle)) {
										echo "<style type='text/css'>" . $assets->baseStyle . "</style>";
								}
		
								if (!empty($assets->siteModel)) {
										// Set partnerId to 999 for now. TODO make a useHosting api setting
										echo "<script>window._isPublished=true;window._site=" . json_encode($assets->siteModel) . ";window._site.partnerId = 999;</script>";
								}
		
								if (!empty($assets->featureScript)) {
										echo "<script>" . $assets->featureScript . "</script>";
								}
						}
				}
		}
	?>

	<link href="https://components.mywebsitebuilder.com/fonts/font-awesome.css" rel="stylesheet">
</head>

<body <?php body_class(); ?>>

	<?php wp_body_open(); ?>

	<?= Wb4WpTheme\Managers\TemplateManager::get_header(); ?>

	<div id="page" class="site kv-site kv-main">
